Bug 17158 - Обновление с 4.0 до Sisyphus крайне затруднено
: Обновление с 4.0 до Sisyphus крайне затруднено
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-17 16:02 by
Modified: 2011-01-23 19:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-17 16:02:43
В процессе обновления с 4.0 до Sisyphus hal зависает при выполнении restart,
соответственно вешается всё обновление.

Если процесс обновления прервать, то в системе будет стоять два hal (старый и
новый). При этом удаление старого hal без бубна невозможно, бубен выгядит как
--noscripts.

Предлагается написать триггер, который на данное обновление не будет
перезапускать haldaemon.
------- Comment #1 From 2008-10-01 14:15:11 -------
у меня обновление прошло без проблем
------- Comment #2 From 2008-10-01 14:24:33 -------
Т.е. - ты исправил эту проблему ?
------- Comment #3 From 2008-10-01 14:29:58 -------
специально я ничего не исправлял. просто пришлось обновлять какой то ранний 4.0
до сизифа. обновление прошло нормально
------- Comment #4 From 2008-10-01 14:41:54 -------
Просто повезло.. будем ждать других мест с этой ошибкой.
------- Comment #5 From 2009-08-21 21:08:23 -------
Поскольку в воздухе опять начинает пахнуть релизами -- bug #17727 blocker?
------- Comment #6 From 2009-08-21 21:13:34 -------
проверять надо
------- Comment #7 From 2011-01-22 18:10:48 -------
Насколько понимаю, весь hal объявлен апстримом wontfix.
------- Comment #8 From 2011-01-22 19:53:07 -------
Не так давно обновлял VE и HN с 4.0 до 5.1, результаты добавил
наhttp://www.altlinux.org/Upgrade -- главный всё тот же: обновляемся шажками,
не прыгая через версии.
------- Comment #9 From 2011-01-22 21:14:05 -------
(В ответ на комментарий №8)
> Не так давно обновлял VE и HN с 4.0 до 5.1, результаты добавил
> наhttp://www.altlinux.org/Upgrade -- главный всё тот же: обновляемся шажками,
> не прыгая через версии.
Миша, может, слить с altlinux.org/Branches/Sisyphus ?
Там я писал процедуру обновления до Sisyphus.
------- Comment #10 From 2011-01-23 19:57:05 -------
(In reply to comment #9)
> Миша, может, слить с altlinux.org/Branches/Sisyphus ?
> Там я писал процедуру обновления до Sisyphus.
Думаю, нет -- я постарался тщательно расставить акценты имено на бранчах,
Sisyphus вообще не упоминается именно с тем, чтоб на эту страничку было
более-менее безопасно ссылаться.